/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/src/net/beandocument/BeanContentFilter.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-03-25 14:52:56 +0100 (Fr, 25 Mrz 2005) $
** Revision .........: $LastChangedRevision: 46 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

/**
 * Interface for defining a filter in bean documents.
 * This filter is used when parsing a bean to check which content will be exposed to the DOM document
 * @author Jens Scheffler
 */
public interface BeanContentFilter {
    
    /**
     * Tries to match a given member information against the filter instance. 
     * @param beanClass Class of the bean to match
     * @param memberName Name of the member which is evaluated
     * @param memberClass Class of the member
     * @return Flag if the given member information matches for the given filter
     */
    public boolean match(Class beanClass, String memberName, Class memberClass);
}
