/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/src/net/beandocument/BeanNodeList.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-02-27 15:11:14 +0100 (So, 27 Feb 2005) $
** Revision .........: $LastChangedRevision: 11 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import java.util.List;
import java.util.Vector;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 * NodeList implementation to capture all generated nodes in the document
 * @author Jens Scheffler
 */
public class BeanNodeList implements NodeList {
    
    /** List to capture all nodes in the NodeList */
    private List nodes;

    /**
     * Creates a new, empty NodeList implementation
     */
    protected BeanNodeList() {
        super();
        
        nodes = new Vector();
    }

    /**
     * Retrieves the length of nodes in the list
     * @return number of nodes in the list
     * @see org.w3c.dom.NodeList#getLength()
     */
    public int getLength() {
        return nodes.size();
    }

    /**
     * Retrieves one item of the list of nodes
     * @param index Number of node to retrieve
     * @return Selected node of the list
     * @see org.w3c.dom.NodeList#item(int)
     */
    public Node item(int index) {
        return (Node) nodes.get(index);
    }

    /**
     * Sets a new item to the NodeList
     * @param node Node to add to the list
     */
    protected void add(Node node) {
        nodes.add(node);
    }
}
