/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/src/net/beandocument/BeanObjectElement.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-02-27 15:11:14 +0100 (So, 27 Feb 2005) $
** Revision .........: $LastChangedRevision: 11 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import org.w3c.dom.NodeList;

/**
 * Element implementation for object type
 * @author Jens Scheffler
 */
public class BeanObjectElement extends BeanElement {

    /** Bean value to use for data */
    private final Object bean;
    
    /** Cached node list of all child elements */
    private NodeList childs;

    /**
     * Constructs a new Element based on the given object
     * @param owner Owner document of this element
     * @param parent Parent element of the new element
     * @param tagName tag name of the new element
     * @param bean Value bean to use for tag content
     */
    public BeanObjectElement(BeanDocument owner, BeanBaseNode parent, String tagName, Object bean) {
        super(owner, parent, tagName, bean);
        this.bean = bean;
    }

    /**
     * Retrieves the child nodes of this element
     * @return Child nodes of this element
     * @see org.w3c.dom.Node#getChildNodes()
     */
    public NodeList getChildNodes() {
        // generate the elements once
        if (childs == null) {
            childs = getElementFactory().evaluateChilds(this, bean);
        }
        return childs;
    }
}
