/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/test/net/beandocument/BeanDocumentTest.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-02-27 15:11:14 +0100 (So, 27 Feb 2005) $
** Revision .........: $LastChangedRevision: 11 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;

import junit.framework.TestCase;

/**
 * Test Case for BeanAttribute class.
 * @author Jens Scheffler
 */
public class BeanAttributeTest extends TestCase {

    private BeanAttribute attr;
    private BeanElement owner;
    private BeanDocument doc;
    
    /**
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        doc = new BeanDocument(new BeanElementFactory(), this);
        owner = new BeanSimpleTypeElement(doc, doc, "test", this);
        attr = new BeanAttribute(doc, owner, "name", "value");
    }

    /**
     * A Test Case
     */
    public final void testGetSpecified() {
        assertTrue(attr.getSpecified());
    }

    /**
     * A Test Case
     */
    public final void testGetName() {
        assertEquals("name", attr.getName());
    }

    /**
     * A Test Case
     */
    public final void testGetValue() {
        assertEquals("value", "value");
    }

    /**
     * A Test Case
     */
    public final void testSetValue() {
        try {
            attr.setValue("new_value");
        } catch (DOMException e) {
            return;
        }
        assertTrue(false);
    }

    /**
     * A Test Case
     */
    public final void testGetOwnerElement() {
        assertEquals(owner, attr.getOwnerElement());
    }

    /**
     * A Test Case
     */
    public final void testGetNodeType() {
        assertEquals(Node.ATTRIBUTE_NODE, attr.getNodeType());
    }

    /**
     * A Test Case
     */
    public final void testHasAttributes() {
        assertFalse(attr.hasAttributes());
    }

    /**
     * A Test Case
     */
    public final void testHasChildNodes() {
        assertFalse(attr.hasChildNodes());
    }

    /**
     * A Test Case
     */
    public final void testGetLocalName() {
        assertEquals(attr.getName(), attr.getLocalName());
    }

    /**
     * A Test Case
     */
    public final void testGetNodeName() {
        assertEquals(attr.getName(), attr.getNodeName());
    }

    /**
     * A Test Case
     */
    public final void testGetNodeValue() {
        assertEquals("value", attr.getNodeValue());
    }

    /**
     * A Test Case
     */
    public final void testGetAttributes() {
        assertNull(attr.getAttributes());
    }

    /**
     * A Test Case
     */
    public final void testGetFirstChild() {
        assertNull(attr.getFirstChild());
    }

    /**
     * A Test Case
     */
    public final void testGetLastChild() {
        assertNull(attr.getLastChild());
    }

    /**
     * A Test Case
     */
    public final void testGetChildNodes() {
        assertTrue(attr.getChildNodes() instanceof BeanNodeList);
        assertEquals(attr.getChildNodes().getLength(), 0);
    }
}
