/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/test/net/beandocument/BeanDocumentTest.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-02-27 15:11:14 +0100 (So, 27 Feb 2005) $
** Revision .........: $LastChangedRevision: 11 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import junit.framework.TestCase;

/**
 * Test Case for BeanDocumentBuilder class.
 * @author Jens Scheffler
 */
public class BeanDocumentBuilderTest extends TestCase {
    
    private BeanDocumentBuilder impl;

    /**
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        impl = new BeanDocumentBuilder();
    }

    /**
     * A Test Case
     */
    public final void testGetDocument() {
        assertNotNull(impl.getDocument(this));
        assertTrue(impl.getDocument(this) instanceof BeanDocument);
    }

    /**
     * A Test Case
     */
    public final void testAddElementHandler() {
        try {
            impl.addElementHandler(null, null);
        } catch (IllegalArgumentException e) {
            return;
        }
        assertTrue(false);
    }

    /**
     * A Test Case
     */
    public final void testSetMaxDepth() {
        impl.setMaxDepth(0);
    }

    /**
     * A Test Case
     */
    public final void testAddIncludeFilter() {
        BeanContentFilter cf = new SimpleBeanContentFilter("a", "b", this.getClass());
        impl.addIncludeFilter(cf);
    }

    /**
     * A Test Case
     */
    public final void testAddExcludeFilter() {
        BeanContentFilter cf = new SimpleBeanContentFilter("a", "b", this.getClass());
        impl.addExcludeFilter(cf);
    }
}
