/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/src/net/beandocument/BeanCollectionElement.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-02-27 15:11:14 +0100 (So, 27 Feb 2005) $
** Revision .........: $LastChangedRevision: 11 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import junit.framework.TestCase;

/**
 * Test Case for SimpleBeanContentFilter class.
 * @author Jens Scheffler
 */
public class SimpleBeanContentFilterTest extends TestCase {

    /**
     * A Test Case
     */
    public final void testMatch() {
        SimpleBeanContentFilter bcf;

        bcf = new SimpleBeanContentFilter((String) null, null, (String) null);
        assertTrue(bcf.match(String.class, "test", String.class));

        bcf = new SimpleBeanContentFilter(String.class, null, (String) null);
        assertTrue(bcf.match(String.class, "test", String.class));

        bcf = new SimpleBeanContentFilter(String.class, null, String.class);
        assertTrue(bcf.match(String.class, "test", String.class));

        bcf = new SimpleBeanContentFilter((String) null, null, String.class);
        assertTrue(bcf.match(String.class, "test", String.class));

        bcf = new SimpleBeanContentFilter((String) null, "test", (String) null);
        assertTrue(bcf.match(String.class, "test", String.class));

        bcf = new SimpleBeanContentFilter(String.class.getName(), null, (String) null);
        assertTrue(bcf.match(String.class, "test", String.class));

        bcf = new SimpleBeanContentFilter(String.class, null, (String) null);
        assertFalse(bcf.match(Integer.class, "test", String.class));

        bcf = new SimpleBeanContentFilter(String.class, null, String.class);
        assertFalse(bcf.match(String.class, "test", Integer.class));

        bcf = new SimpleBeanContentFilter((String) null, null, String.class);
        assertFalse(bcf.match(String.class, "test", Integer.class));

        bcf = new SimpleBeanContentFilter((String) null, "test", (String) null);
        assertFalse(bcf.match(String.class, "test2", String.class));

        bcf = new SimpleBeanContentFilter(String.class.getName(), null, (String) null);
        assertFalse(bcf.match(Integer.class, "test", String.class));

        bcf = new SimpleBeanContentFilter(Number.class, null, (String) null);
        assertTrue(bcf.match(Integer.class, "test", String.class));
    }
}
